Skip to content
Go to Micro

Get object

GET/v2/prism/{teamId}/engagement/{engagementId}

Get object

Path ParametersExpand Collapse
teamId: optional string
formatuuid
engagementId: string
formatuuid
Query ParametersExpand Collapse
select: optional string

Comma-separated property slugs to return. Use dot notation for relationships. id is always returned at the top level. Defaults to all properties.

ReturnsExpand Collapse
id: string
formatuuid
default: optional map[unknown]

Properties keyed by property slug.

list: optional unknown

Get object

curl https://developers.micro.so/v2/prism/$TEAM_ID/engagement/$ENGAGEMENT_ID \
    -H "x-api-key: $MICRO_API_KEY"
{
  "id": "11111111-1111-4111-8111-111111111111",
  "default": {
    "full_name": "Sarah Chen",
    "email": "sarah@example.com",
    "title": "Partner",
    "organization": "Acme Ventures"
  }
}
{
  "id": "22222222-2222-4222-8222-222222222222",
  "default": {
    "name": "Acme Ventures",
    "domain": "example.com",
    "industry": "Venture Capital"
  }
}
{
  "id": "33333333-3333-4333-8333-333333333333",
  "default": {
    "name": "Acme Ventures — Series A",
    "amount": 2500000,
    "stage": "negotiation",
    "organization": "Acme Ventures"
  }
}
{
  "id": "44444444-4444-4444-8444-444444444444",
  "default": {
    "name": "Follow up with Sarah Chen",
    "status": "open",
    "due_date": "2026-08-06",
    "contact": "Sarah Chen"
  }
}
{
  "id": "55555555-5555-4555-8555-555555555555",
  "default": {
    "name": "Acme Ventures — Series A notes",
    "content": "Sarah Chen is coordinating diligence for the Series A.",
    "organization": "Acme Ventures"
  }
}
Returns Examples
{
  "id": "11111111-1111-4111-8111-111111111111",
  "default": {
    "full_name": "Sarah Chen",
    "email": "sarah@example.com",
    "title": "Partner",
    "organization": "Acme Ventures"
  }
}
{
  "id": "22222222-2222-4222-8222-222222222222",
  "default": {
    "name": "Acme Ventures",
    "domain": "example.com",
    "industry": "Venture Capital"
  }
}
{
  "id": "33333333-3333-4333-8333-333333333333",
  "default": {
    "name": "Acme Ventures — Series A",
    "amount": 2500000,
    "stage": "negotiation",
    "organization": "Acme Ventures"
  }
}
{
  "id": "44444444-4444-4444-8444-444444444444",
  "default": {
    "name": "Follow up with Sarah Chen",
    "status": "open",
    "due_date": "2026-08-06",
    "contact": "Sarah Chen"
  }
}
{
  "id": "55555555-5555-4555-8555-555555555555",
  "default": {
    "name": "Acme Ventures — Series A notes",
    "content": "Sarah Chen is coordinating diligence for the Series A.",
    "organization": "Acme Ventures"
  }
}